metadata:
  id: barrage
  name:
    en: Barrage
  version: 0.1.0
  displayVersion: 0.3.0
  category:
    af: Utilities
    ar: أدوات
    ca: Utilitats
    cs: Utilities
    da: Utilities
    de: Dienstprogramme
    el: Βοηθήματα
    en: Utilities
    es: Utilidades
    fi: Utilities
    fr: Utilitaires
    he: Utilities
    hu: Segédprogramok
    it: Utilità
    ja: ユーティリティ
    ko: 유틸리티
    nl: Hulpmiddelen
    no: Utilities
    pl: Narzędzia
    pt: Utilitários
    ro: Utilități
    ru: Инструменты
    sr: Utilities
    sv: Verktyg
    tr: Araçlar
    uk: Утиліти
    vi: Tiện ích
    zh: 實用工具
  tagline:
    en: Minimal Deluge WebUI with full mobile support
  developers: {}
  description:
    en: Minimal Deluge WebUI with full mobile support
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/maulik9898/barrage
  support: ''
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/barrage/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  settings:
    BARRAGE_PASSWORD:
      type: String
      name:
        en: Barrage password
      description:
        en: ''
      default: null
      max_len: null
      string_type: password
      required: true
      placeholder: null
    DELUGE_PASSWORD:
      type: String
      name:
        en: Deluge password
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: true
      placeholder: null
    DELUGE_URL:
      type: String
      name:
        en: Deluge URL
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: true
      placeholder: null
  volumes: {}
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: null
containers:
  barrage: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        BARRAGE_PASSWORD: !StringLike ''
        DELUGE_PASSWORD: !StringLike ''
        DELUGE_URL: !StringLike ''
        NEXTAUTH_SECRET: !StringLike 228362eeea1609a23feaff53472fae2d
      hostname: null
      image: maulik9898/barrage:0.3.0
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes: []
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  barrage:
    target_container: barrage
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  barrage-nirvati-ingress:
    target_container: barrage
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        3000: 3000
    cluster_ip: null
    network_policy: null
ingress:
- target_service: barrage-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 3000
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
